#/usr/bin/python
""" 
Example of importing SDO type (Rice compressed) FITS files.

Gets the contents of the FITS files as for example dict and numpy
arrays.  You need numpy and pyfits for this.  The sections are
examples, and, except for the open() and close() are not all required
and can be in any order.

For download and documentation on pyfits see : 
http://www.stsci.edu/resources/software_hardware/pyfits


Author: David Boyes <boyes@oma.be>
"""

import pyfits  # imports numpy

# An example file name
fn = 'AIA_20101210_130002070000_0211.fits'

# Open the file
hd = pyfits.open(fn)

print ' ### open result is a sequence'
for elem in hd:
    print elem

print '\n ### info() method on open result'
print hd.info()

print '\n ### cardlist in HDU 0 header'
print hd[0].header.ascardlist()

# For SDO the data is in the second HDU
print '\n ### HDU 1 header is magically retrieved'
# The whole header
print hd[1].header
#  Keyword values   
print 'Telescope ', hd[1].header['TELESCOP']
print 'Wavelength ', hd[1].header['WAVELNTH']

print '\n ### HDU 1 data is magically retrieved'
print hd[1].data
print type(hd[1].data)

hd.close()
